ukui-power-manager (4.21.0.0-ok1.5) nile; urgency=medium

  * BUG号：#313535 【整机-联想开天】【N80z pro】【2403】厂商要求不接入电源情况下，平衡模式最大频率为2.3GHz
        #405055 【需求44872】【电源管理】默认配置情况下，电源计划中使用电池时的模式默认为平衡
        #480317 【T350P】【电源】电源为平衡模式及节能模式下，操作出现缓慢或者卡顿
        #480541 【整机-联想开天】【V11】【X1 carbon】Fn+Q切换电源模式发现CPU频率和CPU SPEC不一致
        #480571 【整机-联想开天】【V11】【X1 carbon】Fn+Q切换电源模式发现CPU频率和CPU SPEC不一致
  * 需求号：无
  * 其他改动说明：
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Fri, 23 Jan 2026 11:19:59 +0800

ukui-power-manager (4.21.0.0-ok1.4) nile; urgency=medium

  * BUG号：#313535 【整机-联想开天】【N80z pro】【2403】厂商要求不接入电源情况下，平衡模式最大频率为2.3GHz
        #405055 【需求44872】【电源管理】默认配置情况下，电源计划中使用电池时的模式默认为平衡
        #480317 【T350P】【电源】电源为平衡模式及节能模式下，操作出现缓慢或者卡顿
        #480541 【整机-联想开天】【V11】【X1 carbon】Fn+Q切换电源模式发现CPU频率和CPU SPEC不一致
        #480571 【整机-联想开天】【V11】【X1 carbon】Fn+Q切换电源模式发现CPU频率和CPU SPEC不一致
  * 需求号：无
  * 其他改动说明：
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Thu, 22 Jan 2026 14:48:15 +0800

ukui-power-manager (4.21.0.0-ok1.3) nile; urgency=medium

  * BUG号：#469213 【冒烟1级】【电源管理】鼠标悬浮任务栏电源管理页面电源设置，悬浮效果与网络声音页面不一致
        #429383 【维哈柯语言适配】【电源管理】电源管理没有适配维哈柯语
        #473935 【电源管理】布局与设计不相符：间隔过大
        #473945 【电源管理】【长城D3000M】使用电源时，把此时间段后系统从睡眠变成休眠的值设置为30分钟，测试该值并没有生效
        #473951 【电源管理】电源更多设置高度调整为56px
        #474553 【电源管理】在不支持睡眠的机器上,控制面板使用电池时一项，依然有此时间段进入睡眠选项
        #476199 【电源管理】电池状态下S3转S4功能并没有生效
        #476203 【电源管理】通过修改kylin-config配置文件屏蔽S3,S4功能的时候，电源管理界面S3,S4功能不显示，但是实际上S3,S4功能还是会生效
        #477279 【电源管理】设置任意应用窗口置顶，点击托盘电源菜单，显示在应用窗口下层
  * 需求号：无
  * 其他改动说明：
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Mon, 19 Jan 2026 16:37:36 +0800

ukui-power-manager (4.21.0.0-ok1.2) nile; urgency=medium

  * BUG号：#430179 【整机生态-V11】【优先级1+】【T350P（N90F3）】【显示器】无法调节笔记本显示器亮度
    #429389 【显示器】【联想X1 Carbon】【D3000M】联想X1 carbon亮度调节不生效
    #377333 [T350P]电池模式低电量时，系统变为最佳能效，充满电拔掉电池，不会变成平衡模式
    #404167 [T350][TR5][VC01整机][OS：Kylin-2503-D3000M-RC7-20250731+0731补丁]电池电量49%时，电池图标显示电池电量百分比较低
    #432077 【电源管理】使用电源和和使用电池的此时间段后系统由睡眠进入休眠的格式不一致
    #428669 【电源管理】台式机的电源界面应该去掉显示剩余充电和放电时间这一项
    #429825 【需求 52927】【电源管理】5%-9%、15%-19%、25%-29%电量快捷操作面板的电池图标与任务栏的颜色不一致
    #432957 【电源管理】藏文语言系统电源界面翻译不完全
    #432951 【电源管理】繁体语言系统电源界面翻译不完全
    #432945 【电源管理】蒙古文语言系统电源界面翻译不完全
    #429383 【维哈柯语言适配】【电源管理】电源管理没有适配维哈柯语
    #405725 【电源管理】【南瑞NPCF301】台式机显示了笔记本的电源界面
    #381971 【集团】[T350P][TR3~TR4A][VA 样机][OS：Kylin-2503-D3000M-RC5-20250620+0627补丁]电池概率性出现有功耗情况下显示剩余电量比没功耗情况更长
    #332038 自动亮度为开启，按热键调节亮度至任意值（如调整到20%亮度），再将机器重启后，屏幕显示亮度仍是20%值偏暗，但打开系统设置-屏幕亮度显示为80%，与实际显示的20%亮度不匹配。再等1-2min后，屏幕自动变亮为80%亮度
    #378665 [T350][TR5][VC01整机][OS:kylin-2503-D3000M-RC5-20250620+0627补丁]系统下关闭显示器后按电源键唤醒，锁屏界面和电源选项界面来回切换3次（FR：1/1台，4/4次）
    #374025 [T350P][TR3~TR4A][VA 样机][OS：Kylin-2503-D3000M-RC5-20250620] 将"低电量执行操作"设置为"1%"+"关机", 当电量降到1%时未执行关机操作。(FR：1/1台，1/1次）
    #366131 【FlemingX-W5651GS 5.6.0.16(C233)+BIOS&EC0.89】DUT设置1分钟不操作自动关闭屏幕，屏幕变暗后灭屏前敲击键盘，屏幕未变亮且约3S后屏幕会黑
    #432945 【电源管理】蒙古文语言系统电源界面翻译不完全
    #406039  【电源管理】在kylin用户设置电源各项，切换到其他用户后，电源设置与kylin用户不一致
    #430577 【交互协同增强攻关】【CPU占用】【bug427407拆分】频繁进程ukui-power-manager 1小时调用次数高，请优化
    #440773 【V11控件未命名问题】设置-电源
    #442891 【电源管理】控制面板-电源页面 剩余充电时间或放电时间 按钮位置与设计稿不符
    #448135 【电源管理】电源管理界面动效不符合全局规范，需要适配wlcom接口RC3
    #448181 【电源管理】双屏扩展模式，点击副屏托盘的电源图标，电源面板显示在主屏
    #448707 [T350P][2503-0731在线&离线更新升级1022] 升级系统后电池显示剩余时间(正常应该不显示)
    #449507 【电源管理】电池托盘右键菜单的设置图标未替换为新图标
    #451461 【翻译走查】【泰语】【电源管理】无电池时电源提示未翻译
    #453775 【电源管理】RC3升级到Kylin0S 2603 (79174.F250001)补丁，存在电源管理崩溃文件
    #455029 【电源管理】电量显示95%，描述是已充满
    #456877 【电源管理】笔记本放置到没电，插入电源充满电后，拔掉电源，电池模式还是最佳能效，没有恢复到平衡
    #457727 【电源管理】电池托盘显示电量剩0%，剩余时间0分钟，机器没有关机，鼠标悬浮电池图标显示电量剩余0.0xxxxx%
    #556963  控制面板插件适配sdk分割线
    #332038 自动亮度为开启，按热键调节亮度至任意值（如调整到20%亮度），再将机器重启后，屏幕显示亮度仍是20%值偏暗，但打开系统设置-屏幕亮度显示为80%，与实际显示的20%亮度不匹配。再等1-2min后，屏幕自动变亮为80%亮度
    #398315 【前线】【21756】【卓怡】【NH61】开机重启后，自动亮度调节不会生效
    #458703 【T350P】有3台机器更新1121补丁集后，出现盒盖无法进入S3问题
  * 需求号：无
  * 其他改动说明：调整CPU模式，性能与平衡模式时由performance、ondemand调整为schedutil（task:513849）
    定制华为关闭显示器时间（task:398795）
    增加电源策略改变的信号和属性值（task:513851）
    针对兆芯进行ASPM优化(task:508881)
    fix the spelling errors in 'frequency' and 'daemon'(#self)
    插电模式下电源模式改为性能模式
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Fri, 12 Dec 2025 12:30:02 +0800

ukui-power-manager (4.21.0.0-ok1.1) nile; urgency=medium

  * BUG号：#429455 【硬件】【冒烟2级】【电源管理】使用电池时设置电源模式，CPU频率不会变化
         #429475 【硬件】【冒烟2级】【电源管理】笔记本接入电源无声音提醒
         #429655 【硬件】【冒烟3级】【电源管理】系统到达低电量没有自动切换为最佳能效
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Tue, 11 Nov 2025 11:09:46 +0800

ukui-power-manager (4.21.0.0-ok1.0) nile; urgency=medium

  * BUG号：#408941 【需求 52927】【电源管理】笔记本不接电池仅接电源时，任务栏电源图标显示错误
         #366807 【整机生态-V11】【优先级2&互认证】【S14-G1】【电源管理】使用电池时的电源计划未生效，仍保持使用电源时的电源计划
         #366837 【整机生态-V11】【优先级2&互认证】【S14-G1】【电源管理】移除笔记本电源，电池图标仍是充电状态
         #391563 【HWE】【冒烟3级】【需求19549】【硬件】【电源管理】低电量未自动降低屏幕亮度
         #391541 【HWE】【硬件】【冒烟3级】【电源管理】低电量未自动开启节能模式
         #391515 【HWE/HWE-PP】【硬件】【冒烟2级】【电源管理】接入电源不存在声音
         #391349 【HWE】【硬件】【需求26376】【冒烟2级】【电源管理】使用电池时设置电源模式为平衡模式/最佳能效时，均输出为performance
         #391303 【HWE/HWE-PP】【冒烟3级】【显示器】【硬件】快捷键亮度调节不生效
         #404019 【显示器】笔记本无法调节亮度
         #365647 【整机-联想开天】【X1 carbon】机器安装非法电池后接AC开机，任务栏右下角点开电池图标显示正在充电           
         #409385 【电源管理】台式机也显示电池图标
         #424705 【快捷菜单】快捷菜单亮度条与控制面板和快捷键的亮度调节不一致
         #406039 【电源管理】在kylin用户设置电源各项，切换到其他用户后，电源设置与kylin用户不一致
  * 需求号：#57089 【联想开天重点机型需求】X1f G1d屏幕需求
            #57095 笔记本不接电池仅接电源显示电池空打叉
            #52927 电源电池状态显示优化和亮度增强
            #52635 【UKUI 4.21】任务栏控制台-电源+网络+声音 图标交互合并
            #56337 精细化电源管理配置选项，AC、DC状态下熄屏和睡眠差异化配置
            #54209 【攻关成果-长城】s3转s4需求
  * 其他改动说明：添加dbus按需激活配置
                  添加gitignore文件
                 【长城D3000M机型】动态调频只调节CPU不调节GPU（task:501051）
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Thu, 23 Oct 2025 10:28:11 +0800

ukui-power-manager (4.20.0.0-ok0.14) nile; urgency=medium

  * BUG号：#410235 【分级冻结】系统资源紧张时，点击消息通知内的开启按钮，设置内分>级冻结开关未开启
           #405055 【需求44872】【电源管理】默认配置情况下，电源计划中使用电池时的模式默认为平衡
           #405527 【电源管理】电源托盘界面在125%和150%缩放率显示位置有误
           #405523【电源管理】电源托盘界面在1280*720和1024*768的分辨率下打开位置>有误i
  * 需求号：无
  * 其他改动说明：task#529049 子 D3000M需求同步到v101 2503u1 / D3000M需求同步到v101 2503u1-电源
                  多电源适配器下更新电池图标，有多个电源适配器的时候只要有一个适配器在线即显示充电图标
                  #506963 v11版本新安装系统，偶现显示亮度为0（task)
                  #520675 子 OSD、电源、虚拟键盘等适配wlcom毛玻璃新协议 / 电源托盘界面适配wlcom新毛玻璃接口（task）
                  
  * 其他改动影响域：无

 -- zhaikangning <zhaikangning@kylinos.cn>  Fri, 19 Sep 2025 13:52:52 +0800

ukui-power-manager (4.20.0.0-ok0.7) nile; urgency=medium

  * BUG号： #332540 电源管理崩溃
            #387323 【电源管理】点击任务栏电源图标，任务栏存在电池图标
            #386931 【最小】【冒烟1级】【窗口列表】台式机任务栏托盘处出现电源管理图标
  * 需求号：无
  * 其他改动说明：task#369471
    【交互动效】【电源管理】托盘面板交互动效调整，任务同步到v11
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Mon, 11 Aug 2025 09:43:59 +0800

ukui-power-manager (4.20.0.0-ok0.6) nile; urgency=medium

  * Bug号:无
  * 需求号:无
  * 其他改动说明:构建 nile-sp2 版本
  * 其他改动影响域:无

 -- liweinan <liweinan@kylinos.cn>  Thu, 05 Jan 2025 16:53:32 +0800

ukui-power-manager (4.10.0.0-ok2.0) nile; urgency=medium

  * BUG号： 无
  * 需求号：#419601 使用SDK提供的ui控件替换控制面板提供的ui控件
  * 其他改动说明：无
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Fri, 28 Mar 2025 14:43:05 +0800

ukui-power-manager (4.10.0.0-ok1.34) nile; urgency=medium

  * 更新增加阿越翻译

 -- Kevin Duan <duankaiwen@kylinos.cn>  Thu, 29 Aug 2024 18:04:23 +0800

ukui-power-manager (4.10.0.0-ok1.34k1.4) v11-2503; urgency=medium

  * BUG： 无
  * 需求号：无
  * 其他改动说明：添加test目录，完成单元测试工作,将单元测试覆盖率提升到70%，feat:电源管理白盒测试->70%（task:382641）
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Wed, 22 Jan 2025 15:55:07 +0800

ukui-power-manager (4.10.0.0-ok1.34k1.3) v11-2503; urgency=medium

  * BUG： #292819 电量即将耗尽弹窗提示位置和格式不正确
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Tue, 21 Jan 2025 16:23:39 +0800

ukui-power-manager (4.10.0.0-ok1.34k1.2) v11-2503; urgency=medium

  * BUG： 无
  * 需求号：无
  * 其他改动说明：将单元测试从主项目中剔除
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Tue, 14 Jan 2025 15:57:41 +0800

ukui-power-manager (4.10.0.0-ok1.34k1.1) v11-2503; urgency=medium

  * BUG： #292171 去除冰冻模式
  * 需求号：无
  * 其他改动说明：
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Mon, 06 Jan 2025 16:36:29 +0800

ukui-power-manager (4.10.0.0-ok1.34k1.0) v11-2503; urgency=medium

  * BUG： 无
  * 需求号：#382641 完成ukui-power-manager单元测试工作
  * 其他改动说明：添加test目录，完成单元测试工作
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Fri, 27 Dec 2024 14:44:03 +0800

ukui-power-manager (4.10.0.0-ok1.34k0.2) v11-2503; urgency=medium

  * BUG： #292437 【电源管理】插入电源，不显示电池节电计划
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- dongyu <dongyu@kylinos.cn>  Tue, 03 Dec 2024 17:36:39 +0800

ukui-power-manager (4.10.0.0-ok1.34k0.1) v11-2501; urgency=medium

  * BUG：无
  * 需求号：无
  * 其他改动说明：无
  * 其他改动影响域：无

 -- sunjunhao <sunjunhao@kylinos.cn>  Mon, 21 Oct 2024 11:08:37 +0800

ukui-power-manager (4.10.0.0-ok1.33) nile; urgency=medium

  * 更新0920维哈克翻译

 -- Kevin Duan <duankaiwen@kylinos.cn>  Thu, 29 Aug 2024 18:04:23 +0800

ukui-power-manager (4.10.0.0-ok1.32) nile; urgency=medium

  * 语言类型仅获取一次

 -- hanhongliang <hanhongliang@kylinos.cn>  Thu, 29 Aug 2024 18:04:23 +0800

ukui-power-manager (4.10.0.0-ok1.31) nile; urgency=medium

  * close-cd #IALGI4 维哈柯语言点击托盘电源管理位置错误

 -- hanhongliang <hanhongliang@kylinos.cn>  Thu, 29 Aug 2024 15:32:34 +0800

ukui-power-manager (4.10.0.0-ok1.30) nile; urgency=medium

  * 更新mn翻译

 -- hanhongliang <hanhongliang@kylinos.cn>  Thu, 08 Aug 2024 14:03:01 +0800

ukui-power-manager (4.10.0.0-ok1.29) nile; urgency=medium

  * 恢复UpmGsettings接口获取key值类型的方法getValueType，已解决配置同步问题

 -- hanhongliang <hanhongliang@kylinos.cn>  Thu, 08 Aug 2024 14:03:01 +0800

ukui-power-manager (4.10.0.0-ok1.28) nile; urgency=medium

  * 更新维哈柯翻译

 -- Kevin Duan <duankaiwen@kylinos.cn>  Tue, 26 Mar 2024 09:23:35 +0800

ukui-power-manager (4.10.0.0-ok1.27) nile; urgency=medium

  * 更新维哈柯翻译

 -- Kevin Duan <duankaiwen@kylinos.cn>  Tue, 26 Mar 2024 09:23:35 +0800

ukui-power-manager (4.10.0.0-ok1.26) nile; urgency=medium

  * close-cd #I9JSWV #I9S2Q0 #I9S3V6 维吾尔翻译问题

 -- hanhongliang <hanhongliang@kylinos.cn>  Tue, 25 Jun 2024 17:15:52 +0800

ukui-power-manager (4.10.0.0-ok1.25) nile; urgency=medium

  * 更新维文翻译

 -- Kevin Duan <duankaiwen@kylinos.cn>  Tue, 26 Mar 2024 09:23:35 +0800

ukui-power-manager (4.10.0.0-ok1.24) nile; urgency=medium

  * code-optimize:gsettings and upower-dbus interface
    replace-interface:ukui-panel position (dbus -> gsettings)

 -- hanhongliang <hanhongliang@kylinos.cn>  Tue, 26 Mar 2024 09:23:35 +0800

ukui-power-manager (4.10.0.0-ok1.23) nile; urgency=medium

  * close-cd #I81BFB 【电源管理】任务栏托盘处的电源管理图标打开不会关闭其他组件的弹窗 

 -- hanhongliang <hanhongliang@kylinos.cn>  Thu, 21 Mar 2024 17:07:48 +0800

ukui-power-manager (4.10.0.0-ok1.22) nile; urgency=medium

  * code-optimize:Reduce the screen brightness when the system is idle
  * code-optimize:Switch the power policy to powersave when the system is idle
  * code-optimize:Configure synchronization

 -- hanhongliang <hanhongliang@kylinos.cn>  Thu, 07 Mar 2024 20:24:51 +0800

ukui-power-manager (4.10.0.0-ok1.21) nile; urgency=medium

  * 修改配置文件安装目录，/etc -> /usr/share

 -- hanhongliang <hanhongliang@kylinos.cn>  Fri, 01 Mar 2024 16:04:45 +0800

ukui-power-manager (4.10.0.0-ok1.20) nile; urgency=medium
  
  * close-cd #I8LHQJ 【电源管理】系统安装完成登录默认为最低亮度

 -- hanhongliang <hanhongliang@kylinos.cn>  Thu, 29 Feb 2024 13:39:09 +0800

ukui-power-manager (4.10.0.0-ok1.19) nile; urgency=medium

  * 后台程序加入电池属性present的判断，判断电池节点是否有效
  * 后台程序去掉不使用的电池接口

 -- hanhongliang <hanhongliang@kylinos.cn>  Tue, 06 Feb 2024 15:32:22 +0800

ukui-power-manager (4.10.0.0-ok1.18) nile; urgency=medium

  * 优化定制默认Gsettings配置

 -- hanhongliang <hanhongliang@kylinos.cn>  Tue, 06 Feb 2024 14:33:08 +0800

ukui-power-manager (4.10.0.0-ok1.17) nile; urgency=medium

  * 优化cpu模式配置
  * 优化硬件电源配置
  * 优化硬件定制配置 

 -- hanhongliang <hanhongliang@kylinos.cn>  Tue, 06 Feb 2024 14:16:03 +0800

ukui-power-manager (4.10.0.0-ok1.16) nile; urgency=medium

  * 加入电池属性present的判断，判断电池节点是否有效
  * 去掉托盘不使用的电池接口
  * 去掉冰冻模式电池图标

 -- hanhongliang <hanhongliang@kylinos.cn>  Mon, 05 Feb 2024 14:35:36 +0800

ukui-power-manager (4.10.0.0-ok1.15) nile; urgency=medium

  * Remove the risk interface and use the common interface

 -- hanhongliang <hanhongliang@kylinos.cn>  Mon, 05 Feb 2024 13:53:55 +0800

ukui-power-manager (4.10.0.0-ok1.14) nile; urgency=medium

  * close-cd #I8Y0BS “此时间段后关闭显示器” 功能异常

 -- hanhongliang <hanhongliang@kylinos.cn>  Tue, 30 Jan 2024 10:15:20 +0800

ukui-power-manager (4.10.0.0-ok1.13) nile; urgency=medium

  * close-cd #I8W85G 维吾尔语下，点击右下角电源管理图标，弹窗部分显示为英文

 -- hanhongliang <hanhongliang@kylinos.cn>  Wed, 17 Jan 2024 11:28:19 +0800

ukui-power-manager (4.10.0.0-ok1.12) nile; urgency=medium

  * Open the tray program log

 -- hanhongliang <hanhongliang@kylinos.cn>  Wed, 17 Jan 2024 10:36:46 +0800

ukui-power-manager (4.10.0.0-ok1.11) nile; urgency=medium

  * close-cd #I8OA64 电源界面有一个空白选项

 -- hanhongliang <hanhongliang@kylinos.cn>  Wed, 17 Jan 2024 10:33:41 +0800

ukui-power-manager (4.10.0.0-ok1.10) nile; urgency=medium

  * code optimization:UpmGsettings module

 -- hanhongliang <hanhongliang@kylinos.cn>  Wed, 17 Jan 2024 11:50:57 +0800

ukui-power-manager (4.10.0.0-ok1.9) nile; urgency=medium

  * Errors in judging the cloud platform

 -- hanhongliang <hanhongliang@kylinos.cn>  Wed, 20 Dec 2023 15:25:17 +0800

ukui-power-manager (4.10.0.0-ok1.8) nile; urgency=medium

  * Distinguish device type:tablet or max tablet
  * bug fix: wayland UI bug

 -- hanhongliang <hanhongliang@kylinos.cn>  Wed, 20 Dec 2023 14:28:03 +0800

ukui-power-manager (4.10.0.0-ok1.7) nile; urgency=medium

  * 运行依赖问题

 -- hanhongliang <hanhongliang@kylinos.cn>  Wed, 20 Dec 2023 11:17:32 +0800

ukui-power-manager (4.10.0.0-ok1.6) nile; urgency=medium

  * No idle module is loaded on the cloud platform or VM

 -- hanhongliang <hanhongliang@kylinos.cn>  Thu, 14 Dec 2023 17:10:20 +0800

ukui-power-manager (4.10.0.0-ok1.5) nile; urgency=medium

  * update system sound:low-power and ac-connect

 -- hanhongliang <hanhongliang@kylinos.cn>  Fri, 01 Dec 2023 15:40:26 +0800

ukui-power-manager (4.10.0.0-ok1.4) nile; urgency=medium

  * soft mode -> ice mode

 -- hanhongliang <hanhongliang@kylinos.cn>  Wed, 29 Nov 2023 14:26:26 +0800

ukui-power-manager (4.10.0.0-ok1.3) nile; urgency=medium

  * close-cd: #I7DBH7 #I72MOM 英文系统下控制面板搜索不到电源

 -- hanhongliang <hanhongliang@kylinos.cn>  Mon, 27 Nov 2023 10:09:35 +0800

ukui-power-manager (4.10.0.0-ok1.2) nile; urgency=medium

  * fix the external dbus interface

 -- hanhongliang <hanhongliang@kylinos.cn>  Thu, 23 Nov 2023 10:49:55 +0800

ukui-power-manager (4.10.0.0-ok1.1) nile; urgency=medium

  * 加入软件模式托盘图标

 -- hanhongliang <hanhongliang@kylinos.cn>  Thu, 16 Nov 2023 10:57:53 +0800

ukui-power-manager (4.10.0.0-ok1.0) nile; urgency=medium

  * 新增需求：分级冻结、软冻模式
  * 新增语言支持：哈、维、柯、繁、藏、蒙、德、西、法

 -- hanhongliang <hanhongliang@kylinos.cn>  Tue, 14 Nov 2023 09:26:06 +0800

ukui-power-manager (4.10.0.0-ok0.0) nile; urgency=medium

  * update to nile

 -- hanhongliang <hanhongliang@kylinos.cn>  Wed, 08 Nov 2023 14:40:42 +0800

ukui-power-manager (4.0.0.0-ok1.5) yangtze; urgency=medium

  * 代码重构
  * 通过设备类型判断是否是电源设备

 -- hanhongliang <hanhongliang@kylinos.cn>  Tue, 24 Oct 2023 14:36:14 +0800

ukui-power-manager (4.0.0.0-ok1.4) yangtze; urgency=medium

  * 解决编译问题

 -- hanhongliang <hanhongliang@kylinos.cn>  Wed, 21 Jun 2023 14:00:35 +0800

ukui-power-manager (4.0.0.0-ok1.3) yangtze; urgency=medium

  * 解决编译问题

 -- hanhongliang <hanhongliang@kylinos.cn>  Wed, 21 Jun 2023 09:25:44 +0800

ukui-power-manager (4.0.0.0-ok1.2) yangtze; urgency=medium

  * close-cd #I726MV 【主要】【电源管理】睡眠前十秒，没有降低屏幕亮度
  * close-cd #I726LY 【主要】【电源管理】关闭显示器前十秒，没有降低屏幕亮度

 -- hanhongliang <hanhongliang@kylinos.cn>  Tue, 20 Jun 2023 17:12:46 +0800

ukui-power-manager (4.0.0.0-ok1.1) yangtze; urgency=medium

  * close-cd #I79LPB 电源计划，节能模式 性能模式 ，前台和后台对应异常

 -- hanhongliang <hanhongliang@kylinos.cn>  Fri, 02 Jun 2023 11:50:58 +0800

ukui-power-manager (4.0.0.0-ok1.0) yangtze; urgency=medium

  * ukui-power-manager版本号升级到4.0.0.0版本

 -- hepuyao <hepuyao@kylinos.cn>  Wed, 12 Apr 2023 17:42:55 +0800

ukui-power-manager (3.1.1.3-ok24) yangtze; urgency=medium

  * close-cd #I64KQX 【次要】【电源管理】点击任务栏电源图标，弹窗位置出错

 -- hanhongliang <hanhongliang@kylinos.cn>  Mon, 03 Apr 2023 16:19:04 +0800

ukui-power-manager (3.1.1.3-ok23) yangtze; urgency=medium

  * close-cd #I5VKDS 【电源管理】【任务栏】电源管理窗口左上、右上两个角不是圆角 

 -- hanhongliang <hanhongliang@kylinos.cn>  Mon, 03 Apr 2023 14:11:18 +0800

ukui-power-manager (3.1.1.3-ok22) yangtze; urgency=medium

  * close-cd #I5XLZB 【UKUI需求 需求14099】【电源管理】插拔电源有通知，预期为无通知 

 -- hanhongliang <hanhongliang@kylinos.cn>  Mon, 03 Apr 2023 14:06:09 +0800

ukui-power-manager (3.1.1.3-ok21) yangtze; urgency=medium

  * close-cd #I64FWN【主要】【电源管理】未连接电源，登录提示系统进入低电量状态，实际电量90%

 -- hanhongliang <hanhongliang@kylinos.cn>  Wed, 01 Mar 2023 15:28:05 +0800

ukui-power-manager (3.1.1.3-ok20) yangtze; urgency=medium

  * close-cd #147501 【电源管理】电量即将耗尽弹窗内容显示不全
  * close-cd #148138 【电源管理】连续调节亮度存在反应延迟
  * close-cd #157119 【电源管理】托盘处修改电源模式，设置中电源模式未跟随改变
  * close-cd #150517 【设置】“此时间段进入睡眠”选项显示异常
  * close-cd #149186 【电源管理】电池供电下，系统开机后短暂时间内查看电量提示信息，显示“正在充电”（等待一段时间可恢复正常显示）

 -- hanhongliang <hanhongliang@kylinos.cn>  Tue, 28 Feb 2023 13:43:43 +0800

ukui-power-manager (3.1.1.3-ok19) yangtze; urgency=medium

  * openkylin项目无需按下电源键响应功能

 -- hepuyao <hepuyao@kylinos.cn>  Wed, 04 Jan 2023 17:27:23 +0800

ukui-power-manager (3.1.1.3-ok17) yangtze; urgency=medium

  * 解决控制面板编译失败问题

 -- Kevin Duan <duankaiwen@kylinos.cn>  Wed, 30 Nov 2022 09:35:43 +0800

ukui-power-manager (3.1.1.3-ok16) yangtze; urgency=medium

  * 解决控制面板编译失败问题

 -- Kevin Duan <duankaiwen@kylinos.cn>  Tue, 29 Nov 2022 18:52:05 +0800

ukui-power-manager (3.1.1.3-ok14) yangtze; urgency=medium

  * 解决控制面板编译失败问题

 -- hepuyao <hepuyao@kylinos.cn>  Mon, 28 Nov 2022 09:48:49 +0800

ukui-power-manager (3.1.1.3-ok12) v101; urgency=medium

  * 解决窗口位置偏移的问题

 -- hepuyao <hepuyao@kylinos.cn>  Mon, 21 Nov 2022 14:50:32 +0800

ukui-power-manager (3.1.1.3-ok11) v101; urgency=medium

  * 解决UI和编译问题

 -- hepuyao <hepuyao@kylinos.cn>  Thu, 03 Nov 2022 11:15:17 +0800

ukui-power-manager (3.1.1.3-ok8) v101; urgency=medium

  * 解决UI和编译问题

 -- hepuyao <hepuyao@kylinos.cn>  Wed, 02 Nov 2022 16:59:23 +0800

ukui-power-manager (3.1.1.3-ok7) v101; urgency=medium

  * 解决控制面板显示器界面亮度设置和任务栏亮度设置不生效

 -- hepuyao <hepuyao@kylinos.cn>  Mon, 31 Oct 2022 14:40:09 +0800

ukui-power-manager (3.1.1.3-ok6) yangtze; urgency=medium

  * bug:每次调整任务栏尺寸或者位置，都会弹出托盘
  * 需求号:引入3.22需求
  * 其他改动说明:无

 -- lizhuoan <lizhuoan@kylinos.cn>  Thu, 13 Oct 2022 15:54:23 +0800

ukui-power-manager (3.1.1.3-ok5) yangtze; urgency=medium

  * bug:每次调整任务栏尺寸或者位置，都会弹出托盘
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- lizhuoan <lizhuoan@kylinos.cn>  Thu, 13 Oct 2022 15:54:23 +0800

ukui-power-manager (3.1.1.3-ok4) yangtze; urgency=medium

  * bug:#131221 设置任务栏尺寸,电源托盘界面显示位置存在偏移
        #131184 电源托盘界面弹窗中的“续航”、“性能”左侧图标，图标反白 
        #136962 亮度调节至10以下存在过度调节问题 
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- 李卓安 <lizhuoan@kylinos.cn>  Tue, 13 Sep 2022 10:37:53 +0800

ukui-power-manager (3.1.1.3-ok3) yangtze; urgency=medium

  * close-cd #131035 设置缩放屏幕或方向后，右下角自动弹出电池模式窗口;

 -- handsome_feng <jianfengli@ubuntukylin.com>  Mon, 01 Aug 2022 16:30:52 +0800

ukui-power-manager (3.1.1.3-ok3~0721) yangtze; urgency=medium

  * bug:129544 【电源管理】任务栏点击电源，弹出的电池模式界面多一个窗管
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hepuyao <hepuyao@kylinos.cn>  Tue, 19 Jul 2022 19:03:35 +0800

ukui-power-manager (3.1.1.3-ok3~0720) yangtze; urgency=medium

  * bug:129544 【电源管理】任务栏点击电源，弹出的电池模式界面多一个窗管
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- hepuyao <hepuyao@kylinos.cn>  Tue, 19 Jul 2022 19:03:35 +0800

ukui-power-manager (3.1.1.3-ok3~0719) yangtze; urgency=medium

  * bug:128438-五分钟后关闭显示器不生效
        127768-盒盖设置关闭显示器不生效
        127705-托盘电源管理提示名未汉化
  * 需求号:无
  * 其他改动说明:无
  * 其他改动影响域:无

 -- lizhuoan <lizhuoan@kylinos.cn>  Tue, 19 Jul 2022 19:03:35 +0800

ukui-power-manager (3.1.1.3-ok2~0624) yangtze; urgency=medium

  * Initial for openKylin.
  * 电源管理wayland适配

 -- Xie Wei <xiewei@kylinos.cn>  Fri, 20 May 2022 16:39:57 +0800
